Redmine - Feature #31418

Stacked bar charts in the issue details report
2019-05-22 04:53 - Takenori TAKAKI

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

| propose a feature to visualize the results table on the 'reports/detail’ page using bar chart.
By visualizing in the bar chart, we can intuitively grasp the status of Issues registered in Project.

render-reports-details-in-bar-chart.png

Related issues:

Related to Redmine - Feature #31434: Update Chart.js to 2.8.0 Closed
Related to Redmine - Defect #35669: Prints of Issues Report details are messe... Closed
Related to Redmine - Defect #35670: Graphs in the Issues Report details are t... New

Associated revisions

Revision 18200 - 2019-05-26 02:01 - Go MAEDA
Stacked bar charts in the issue details report (#31418).

Patch by Takenori TAKAKI.

Revision 18201 - 2019-05-26 09:51 - Go MAEDA
Hide closed statuses by default in the chart (#31418).

History

#1 - 2019-05-22 13:39 - Yuuki NARA

+1

#2 - 2019-05-22 15:23 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2019-05-22 15:40 - Go MAEDA

This is an interesting feature.

One of the missing important features in Redmine is visualization. | think this feature can be the first step to implement more visualization features.

#4 - 2019-05-23 05:45 - Bernhard Rohloff

- File deleted (render-reports-details-in-bar-chart.patch)

#5 - 2019-05-23 05:54 - Takenori TAKAKI

- File render-reports-details-in-bar-chart.patch added

#6 - 2019-05-23 06:15 - Bernhard Rohloff

@Takenori TAKAKI thank you very much for attaching the patch again. | deleted it by accident.

It was a bit of a journey to find the reports view since | don't use it very often but if the patch gets accepted this could change in the future. | really like

it. 2)
+1

#7 - 2019-05-23 21:12 - Go MAEDA
- Related to Feature #31434: Update Chart.js to 2.8.0 added
#8 - 2019-05-24 07:23 - ryou soda

+1

#9 - 2019-05-24 09:47 - Takenori TAKAKI
- File render-reports-details-in-bar-chart_v2.png added

- File render-reports-details-in-bar-chart_v2.patch added

| enhanced the patch to also display a chart that shows the number of issues by status. Like the screenshot below.

render-reports-details-in-bar-chart_v2.png

#10 - 2019-05-25 05:39 - Go MAEDA
- Category changed from Ul to Issues

- Target version changed from Candidate for next major release to 4.1.0

Let's include this feature in upcoming Redmine 4.1.0.

#11 - 2019-05-26 02:03 - Go MAEDA

- Subject changed from Render reports/details in bar chart using Chart.js to Stacked bar charts in the issue details report
- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for the nice improvement.

#12 - 2019-05-26 15:53 - Go MAEDA
- File closed-issues-are-hidden@2x.png added

In r18201, | have slightly changed the behavior to hide closed issue statuses. As you can see in the screenshot below, hidden statuses are deleted
with a strikethrough. those statuses appear in the graph if you click the status name in the legend.

closed-issues-are-hidden@2x.png

#13 - 2021-08-03 01:06 - Mischa The Evil
- Related to Defect #35669: Prints of Issues Report details are messed-up due to the size of the graphs added

#14 - 2021-08-03 01:06 - Mischa The Evil
- Related to Defect #35670: Graphs in the Issues Report details are too large. added

Files

render-reports-details-in-bar-chart.png 162 KB 2019-05-22 Takenori TAKAKI

render-reports-details-in-bar-chart.patch 2.34 KB 2019-05-23 Takenori TAKAKI

render-reports-details-in-bar-chart_v2.patch 3.02 KB 2019-05-24 Takenori TAKAKI

render-reports-details-in-bar-chart_v2.png 310 KB 2019-05-24 Takenori TAKAKI

closed-issues-are-hidden@2x.png 41.9 KB 2019-05-26 Go MAEDA
